<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ces Templates sont utilises dans Program et Course -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:cdmfr="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	
	<!-- Template des modalités pédagogiques - 
	Attribut method implémenté avec l'infoBlock correspondant -->
	<xsl:template name="tFormOfTeaching">
		<xsl:param name="pNode"/>
		<xsl:if test="count($pNode/formOfTeaching) &gt; 0">
			<ul>
				<xsl:for-each select="$pNode/formOfTeaching">
					<li>
						<xsl:apply-templates select="@method"/> : 
						<xsl:apply-templates select="node()"/>
					</li>
				</xsl:for-each>
			</ul>
		</xsl:if>
	</xsl:template>
	
	<!-- Template des modalités pédagogiques - 
	Attribut method seul -->
	
	<xsl:template name="tFormOfTeachingMethod">
		<xsl:param name="pNode"/>
		<xsl:if test="count($pNode/formOfTeaching) &gt; 0">
			<ul>
				<xsl:for-each select="$pNode/formOfTeaching">
					<li>
						<xsl:apply-templates select="@method"/>
					</li>
				</xsl:for-each>
			</ul>
		</xsl:if>
	</xsl:template>
	
	<!-- Template des modalités pédagogiques - 
	InfoBlock seul -->
	
	<xsl:template name="tFormOfTeachingInfoBlockType">
		<xsl:param name="pNode"/>
		<xsl:if test="count($pNode/formOfTeaching) &gt; 0">
			<ul>
				<xsl:for-each select="$pNode/formOfTeaching">
					<li>
						<xsl:apply-templates select="node()"/>
					</li>
				</xsl:for-each>
			</ul>
		</xsl:if>
	</xsl:template>
	
	<!-- Template sans prise en compte de l'itération pour PDF -->
	<xsl:template name="tFormOfTeachingInfoBlockTypePDF">
		<xsl:param name="pNode"/>
		<xsl:apply-templates select="$pNode/formOfTeaching"/>
	</xsl:template>
	
	<xsl:template name="tFormOfTeachingMethodPDF">
		<xsl:param name="pNode"/>
		<xsl:value-of select="$pNode/formOfTeaching/@method"/>
	</xsl:template>
	

</xsl:stylesheet>